System.Web.Services 2.0.0.0 System.Enum System.Flags

Using the value of this enumeration does not prevent access to the test or web service from remote computers. This value checks only the host header of the request; no other validation, authentication, or authorization checks are performed. This check mitigates only browser-based redirection attacks. Authentication and authorization are still required to restrict access to a Web service.

Specifies the transmission protocols that are used to decrypt data sent from a client browser in the HTTP request.

- Field
  System.Web.Services.Configuration.WebServiceProtocols

  Any version of the HTTP SOAP protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  The Web Services Documentation protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  The HTTP GET protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  The HTTP POST protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  See the Remarks section. This value only checks the request's host header to mitigate only browser-redirect attacks. Authentication and authorization are still required to restrict access to a Web service.

  The HTTP POST LOCALHOST protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  The HTTP SOAP protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  The HTTP SOAP version 1.2 protocol.

  2.0.0.0
- Field
  System.Web.Services.Configuration.WebServiceProtocols

  Unknown protocol.

  2.0.0.0